//表单效果
$(function(){
	//
	$("input[type='text'],[type='password']").each(function(){
		$(this).attr("class","input");//给所有的加样式
		$(this).focus(function(){$(this).attr("class","inputhover");})
		$(this).blur(function(){$(this).attr("class","input");})
		
	})
	$("input[type='text'][name='p']").each(function(){
		$(this).attr("class","page");//给所有的加样式
		$(this).focus(function(){$(this).attr("class","pagehover");})
		$(this).blur(function(){$(this).attr("class","page");})
		
	})
	$("input[type='button']").each(function(){
		$(this).hover(
			function(){
				$(this).attr("class","btnhover");	
			},function(){
				$(this).attr("class","btn");	
			}
		)										
	})
	
})

//传参跳转
function ext(url){
	window.location.href=url;
}

//删除按钮
function listDelete(objForm){
		var isbool = false;
		$('.list tbody tr').find('input[type="checkbox"]').each(function(){
			if($(this).attr("checked")){
				isbool = true;
			}
		})
		if(isbool){
			if(confirm("你确定要删除它们吗，删除后将不可恢复?")){
				document.forms[objForm].submit();
				$("#del").attr("disabled","disabled");
			}
				
		}else{
			alert("你要删除哪条信息呢?");
		}
}
//光棒
$(document).ready(function(){
	 $('.list tbody tr:even').addClass('odd');
	 $('.list tbody tr').hover(
	  function() {$(this).addClass('highlight');},
	  function() {$(this).removeClass('highlight');}
	 );
	 // 如果复选框默认情况下是选择的，变色.
	 $('.list input[type="checkbox"]:checked').parents('tr').addClass('selected');
	 // 复选框
	 $('.list tbody tr td').click(
	  function() {
	   if (!$(this).hasClass('oper')) {
	    if ($(this).parents('tr').hasClass('selected')) {
	     $(this).parents('tr').removeClass('selected');
	     $(this).parents('tr').find('input[type="checkbox"]').removeAttr('checked');
	    } else {
	     $(this).parents('tr').addClass('selected');
	     $(this).parents('tr').find('input[type="checkbox"][disabled="false"]').attr('checked','checked');
	    }
	   }
	  }
	 );
	});


$(function(){
	//全选/不选
	$("#all").click(function(){
	  $('.list tbody tr').each( function() {
		if($("#all").attr("checked") ){
			$(this).addClass('selected');
			$(this).find('input[type="checkbox"][disabled="false"]').attr('checked','checked');
		}else{
			$(this).removeClass('selected');
			$(this).find('input[type="checkbox"][disabled="false"]').removeAttr('checked','checked');
		}
	   }
	  )
	})	
	
	//不选
	$("#reall").click(function(){
	$('.list tbody tr').each(
	   function() {
	        $(this).removeClass('selected');
	        $(this).find('input[type="checkbox"]').removeAttr('checked');
	   }
	  );
	})
})

	function checkAllRemove(){
	//if ($("#checkedAll").attr("checked") == false) { // 取消全选 
	  $('.list tbody tr').each(
	   function() {
	        $(this).removeClass('selected');
	        $(this).find('input[type="checkbox"]').removeAttr('checked');
	   }
	  );
	// }
	}
	function checkAllRev(){
	if ($("#id").attr("checked") == false) { // 反选 
	  $('.list tbody tr').each(
	   function() {
	            $(this).addClass('selected');
	            $(this).find('input[type="checkbox"]').attr('checked','checked');
	     }
	  );
	}else{
	    $('.list tbody tr').each(
	      function(){
	            $(this).removeClass('selected');
	            $(this).find('input[type="checkbox"]').removeAttr('checked');
	       }
	      );
	    }
	}
	
// 选项卡
$(function(){
	$(".tab dl dt>a:first").addClass("tabActive");
	$(".tab dl dd ul").not(":first").hide();
	$(".tab dl dt>a").unbind("click").bind("click", function(){
		$(this).siblings("a").removeClass("tabActive").end().addClass("tabActive");
		var index = $(".tab dl dt>a").index( $(this) );
		$(".tab dl dd ul").eq(index).siblings(".tab dl dd ul").hide().end().show();
   });
});	